## lighttpd 1.4.30

=== SConstruct ===
import os
import sys
import re
import string
from stat import *

package = 'lighttpd'
version = '1.4.30'

def checkCHeaders(autoconf, hdrs):
	p = re.compile('[^A-Z0-9]')
	for hdr in hdrs:
		if not hdr:
			continue
		_hdr = Split(hdr)
 		if autoconf.CheckCHeader(_hdr):
 			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_' + p.sub('_', _hdr[-1].upper()) ])

def checkFuncs(autoconf, funcs):
	p = re.compile('[^A-Z0-9]')
	for func in funcs:
		if autoconf.CheckFunc(func):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_' + p.sub('_', func.upper()) ])

def checkTypes(autoconf, types):
	p = re.compile('[^A-Z0-9]')
	for type in types:
		if autoconf.CheckType(type, '#include <sys/types.h>'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_' + p.sub('_', type.upper()) ])

def checkProgram(env, withname, progname):
	withname = 'with_' + withname
	binpath = None

	if env[withname] != 1:
		binpath = env[withname]
	else:
		prog = env.Detect(progname)
		if prog:
			binpath = env.WhereIs(prog)

	if binpath:
		mode = os.stat(binpath)[ST_MODE]
		if S_ISDIR(mode):
			print >> sys.stderr, "* error: path `%s' is a directory" % (binpath)
			env.Exit(-1)
		if not S_ISREG(mode):
			print >> sys.stderr, "* error: path `%s' is not a file or not exists" % (binpath)
			env.Exit(-1)

	if not binpath:
		print >> sys.stderr, "* error: can't find program `%s'" % (progname)
		env.Exit(-1)

	return binpath

def checkStructMember(context):
	struct_member = """
#include <time.h>
int main() {
	struct tm a;
	a.tm_gmtoff = 0;
	return 0;
}
"""
	context.Message('Checking for tm_gmtoff in struct tm...')
	result = context.TryLink(struct_member, '.c')
	context.Result(result)

	return result


BuildDir('build', 'src', duplicate = 0)

opts = Options('config.py')
opts.AddOptions(
	('prefix', 'prefix', '/usr/local'),
	('bindir', 'binary directory', '${prefix}/bin'),
	('sbindir', 'binary directory', '${prefix}/sbin'),
	('libdir', 'library directory', '${prefix}/lib'),
	PackageOption('with_mysql', 'enable mysql support', 'no'),
	PackageOption('with_xml', 'enable xml support', 'no'),
	PackageOption('with_pcre', 'enable pcre support', 'yes'),
	PathOption('CC', 'path to the c-compiler', None),
	BoolOption('build_dynamic', 'enable dynamic build', 'yes'),
	BoolOption('build_static', 'enable static build', 'no'),
	BoolOption('build_fullstatic', 'enable fullstatic build', 'no'),
	BoolOption('with_sqlite3', 'enable sqlite3 support', 'no'),
	BoolOption('with_memcache', 'enable memcache support', 'no'),
	BoolOption('with_fam', 'enable FAM/gamin support', 'no'),
	BoolOption('with_openssl', 'enable memcache support', 'no'),
	BoolOption('with_gzip', 'enable gzip compression', 'no'),
	BoolOption('with_bzip2', 'enable bzip2 compression', 'no'),
	BoolOption('with_lua', 'enable lua support for mod_cml', 'no'),
	BoolOption('with_ldap', 'enable ldap auth support', 'no'))

env = Environment(
	env = os.environ,
	options = opts,
	CPPPATH = Split('#build')
)

env.Help(opts.GenerateHelpText(env))

if env.subst('${CC}') is not '':
	env['CC'] = env.subst('${CC}')

env['package'] = package
env['version'] = version
if env['CC'] == 'gcc':
	## we need x-open 6 and bsd 4.3 features
	env.Append(CCFLAGS = Split('-Wall -O2 -g -W -pedantic -Wunused -Wshadow -std=gnu99'))

# cache configure checks
if 1:
	autoconf = Configure(env, custom_tests = {'CheckStructMember': checkStructMember })
	autoconf.headerfile = "foo.h"
	checkCHeaders(autoconf, string.split("""
			arpa/inet.h
			fcntl.h
			netinet/in.h
			sys/types.h netinet/in.h
			stdlib.h
			string.h
			sys/socket.h
			sys/types.h sys/socket.h
		 	sys/time.h
			unistd.h
			sys/sendfile.h
			sys/uio.h
			sys/types.h sys/uio.h
			getopt.h
			sys/epoll.h
			sys/select.h
			sys/types.h sys/select.h
			poll.h
			sys/poll.h
			sys/devpoll.h
			sys/filio.h
			sys/mman.h
			sys/types.h sys/mman.h
			sys/event.h
			sys/types.h sys/event.h
			sys/port.h
			winsock2.h
			pwd.h
			sys/syslimits.h
			sys/resource.h
			sys/time.h sys/types.h sys/resource.h
			sys/un.h
			sys/types.h sys/un.h
			syslog.h
			stdint.h
			inttypes.h
			sys/prctl.h
			sys/wait.h""", "\n"))

	checkFuncs(autoconf, Split('fork stat lstat strftime dup2 getcwd inet_ntoa inet_ntop memset mmap munmap strchr \
			strdup strerror strstr strtol sendfile  getopt socket \
			gethostbyname poll epoll_ctl getrlimit chroot \
			getuid select signal pathconf madvise prctl\
			writev sigaction sendfile64 send_file kqueue port_create localtime_r posix_fadvise issetugid inet_pton'))

	checkTypes(autoconf, Split('pid_t size_t off_t'))

	autoconf.env.Append( LIBSQLITE3 = '', LIBXML2 = '', LIBMYSQL = '', LIBZ = '',
		LIBBZ2 = '', LIBCRYPT = '', LIBMEMCACHE = '', LIBFCGI = '', LIBPCRE = '',
		LIBLDAP = '', LIBLBER = '', LIBLUA = '', LIBLUALIB = '', LIBDL = '')

	if env['with_fam']:
		if autoconf.CheckLibWithHeader('fam', 'fam.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_FAM_H', '-DHAVE_LIBFAM' ], LIBS = 'fam')
			checkFuncs(autoconf, ['FAMNoExists']);


	if autoconf.CheckLibWithHeader('crypt', 'crypt.h', 'C'):
		autoconf.env.Append(CPPFLAGS = [ '-DHAVE_CRYPT_H', '-DHAVE_LIBCRYPT' ], LIBCRYPT = 'crypt')

	if autoconf.CheckLibWithHeader('uuid', 'uuid/uuid.h', 'C'):
		autoconf.env.Append(CPPFLAGS = [ '-DHAVE_UUID_UUID_H', '-DHAVE_LIBUUID' ], LIBUUID = 'uuid')

	if env['with_openssl']:
		if autoconf.CheckLibWithHeader('ssl', 'openssl/ssl.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_OPENSSL_SSL_H', '-DHAVE_LIBSSL'] , LIBS = [ 'ssl', 'crypto' ])

	if env['with_gzip']:
		if autoconf.CheckLibWithHeader('z', 'zlib.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_ZLIB_H', '-DHAVE_LIBZ' ], LIBZ = 'z')

	if env['with_ldap']:
		if autoconf.CheckLibWithHeader('ldap', 'ldap.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_LDAP_H', '-DHAVE_LIBLDAP' ], LIBLDAP = 'ldap')
		if autoconf.CheckLibWithHeader('lber', 'lber.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_LBER_H', '-DHAVE_LIBLBER' ], LIBLBER = 'lber')

	if env['with_bzip2']:
		if autoconf.CheckLibWithHeader('bz2', 'bzlib.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_BZLIB_H', '-DHAVE_LIBBZ2' ], LIBBZ2 = 'bz2')

	if env['with_memcache']:
		if autoconf.CheckLibWithHeader('memcache', 'memcache.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_MEMCACHE_H', '-DHAVE_LIBMEMCACHE' ], LIBMEMCACHE = 'memcache')

	if env['with_sqlite3']:
		if autoconf.CheckLibWithHeader('sqlite3', 'sqlite3.h', 'C'):
			autoconf.env.Append(CPPFLAGS = [ '-DHAVE_SQLITE3_H', '-DHAVE_LIBSQLITE3' ], LIBSQLITE3 = 'sqlite3')

	ol = env['LIBS']
	if autoconf.CheckLibWithHeader('fcgi', 'fastcgi.h', 'C'):
		autoconf.env.Append(LIBFCGI = 'fcgi')
	env['LIBS'] = ol

	ol = env['LIBS']
	if autoconf.CheckLibWithHeader('dl', 'dlfcn.h', 'C'):
		autoconf.env.Append(LIBDL = 'dl')
	env['LIBS'] = ol

	if autoconf.CheckType('socklen_t', '#include <unistd.h>\n#include <sys/socket.h>\n#include <sys/types.h>'):
		autoconf.env.Append(CPPFLAGS = [ '-DHAVE_SOCKLEN_T' ])

	if autoconf.CheckType('struct sockaddr_storage', '#include <sys/socket.h>\n'):
		autoconf.env.Append(CPPFLAGS = [ '-DHAVE_STRUCT_SOCKADDR_STORAGE' ])

	if autoconf.CheckStructMember():
		autoconf.env.Append(CPPFLAGS = [ '-DHAVE_STRUCT_TM_GMTOFF' ])

	env = autoconf.Finish()

	if env['with_lua']:
		oldlibs = env['LIBS']
		env.ParseConfig("pkg-config 'lua >= 5.0' --cflags --libs")
		lualibs = env['LIBS'][len(oldlibs):]
		env.Append(LIBLUA = lualibs)
		env.Append(CPPFLAGS = [ '-DHAVE_LUA_H' ])
		env['LIBS'] = oldlibs


if env['with_pcre']:
	pcre_config = checkProgram(env, 'pcre', 'pcre-config')
	env.ParseConfig(pcre_config + ' --cflags --libs')
	env.Append(CPPFLAGS = [ '-DHAVE_PCRE_H', '-DHAVE_LIBPCRE' ], LIBPCRE = 'pcre')

if env['with_xml']:
	xml2_config = checkProgram(env, 'xml', 'xml2-config')
	oldlib = env['LIBS']
	env['LIBS'] = []
	env.ParseConfig(xml2_config + ' --cflags --libs')
	env.Append(CPPFLAGS = [ '-DHAVE_LIBXML_H', '-DHAVE_LIBXML2' ], LIBXML2 = env['LIBS'])
	env['LIBS'] = oldlib

if env['with_mysql']:
	mysql_config = checkProgram(env, 'mysql', 'mysql_config')
	oldlib = env['LIBS']
	env['LIBS'] = []
	env.ParseConfig(mysql_config + ' --cflags --libs')
	env.Append(CPPFLAGS = [ '-DHAVE_MYSQL_H', '-DHAVE_LIBMYSQL' ], LIBMYSQL = 'mysqlclient')
	env['LIBS'] = oldlib

if re.compile("cygwin|mingw").search(env['PLATFORM']):
	env.Append(COMMON_LIB = 'bin')
elif re.compile("darwin|aix").search(env['PLATFORM']):
	env.Append(COMMON_LIB = 'lib')
else:
	env.Append(COMMON_LIB = False)

versions = string.split(version, '.')
version_id = int(versions[0]) << 16 | int(versions[1]) << 8 | int(versions[2])
env.Append(CPPFLAGS = [
		'-DLIGHTTPD_VERSION_ID=' + str(version_id),
		'-DPACKAGE_NAME=\\"' + package + '\\"',
		'-DPACKAGE_VERSION=\\"' + version + '\\"',
		'-DLIBRARY_DIR="\\"${libdir}\\""',
		'-D_FILE_OFFSET_BITS=64', '-D_LARGEFILE_SOURCE', '-D_LARGE_FILES'
		] )

SConscript( 'src/SConscript', 'env', build_dir = 'build', duplicate = 0)
SConscript( 'tests/SConscript', 'env' )

=== debian/changelog ===
lighttpd (1.4.30-1) unstable; urgency=medium

  * New upstream release
    + Fix integer overflow (CVE-2011-4362) (Closes: #652726)
    + Fix attack vector as disclosed by the SSL BEAST attack (related:
      CVE-2011-3389). Note: If you are upgrading from an older version you need
      to change your configuration to mitigate effects of the attack. See the
      corresponding NEWS file for details.
    + Count SSL renegotiations to prevent client renegotiations
  * Urgency set to medium due to security updates. 
  * Adapt to dpkg 1.16.1 API changes regarding build flags. This enables
    hardening build flags. This means, lighttpd is now being built with
    -fstack-protector and other security related build flags.
  * Add dpkg-dev (>= 1.16.1~) to build-depends to make sure our buildflags are
    properly supported. That's guaranteed for Testing, but might be helpful to
    know for backporters.
  * Fix "Doesn't remove /etc/lighttpd on purge" by removing dangling symlinks
    /only/. This does not entirely fix the problem of the maintainer, but we can
    not simply remove all files in /etc/lighttpd as other packages or the user
    himself might have left configuration files back (Closes: #642494)
  * Fix "please include systemd service file" Support systemd as alternative to
    sysvinit, ship systemd and tempfiles.d configuration files. Thanks to
    Michael Stapelberg for providing the required files (Closes: #652442)

 -- Arno Töll <debian@toell.net>  Tue, 20 Dec 2011 11:36:09 +0100

=== debian/control ===
Source: lighttpd
Section: httpd
Priority: optional
Maintainer: Debian lighttpd maintainers <pkg-lighttpd-maintainers@lists.alioth.debian.org>
Uploaders: Krzysztof Krzyżaniak (eloy) <eloy@debian.org>,
 Olaf van der Spek <olafvdspek@gmail.com>,
 Arno Töll <debian@toell.net>
Homepage: http://lighttpd.net/
Build-Depends: debhelper (>= 8), mime-support, libssl-dev,
 zlib1g-dev, libbz2-dev, libattr1-dev, libpcre3-dev, libmysqlclient-dev,
 libfam-dev, libldap2-dev, libfcgi-dev, libgdbm-dev, libmemcache-dev,
 liblua5.1-0-dev, pkg-config, uuid-dev, libsqlite3-dev,
 libxml2-dev, libkrb5-dev, perl, dpkg-dev (>= 1.16.1~)
Vcs-Svn: svn://svn.debian.org/pkg-lighttpd/lighttpd/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-lighttpd/lighttpd/trunk/
Standards-Version: 3.9.2.0

Package: lighttpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 lsb-base (>= 3.2-14) | systemd (>= 29.1), mime-support,
 libterm-readline-perl-perl
Provides: httpd, httpd-cgi
Suggests: openssl, rrdtool, apache2-utils
Recommends: spawn-fcgi
Description: fast webserver with minimal memory footprint
 lighttpd is a small webserver and fast webserver developed with
 security in mind and a lot of features.
 It has support for
   * CGI, FastCGI and SSI
   * virtual hosts
   * URL rewriting
   * authentication (plain files, htpasswd, ldap)
   * transparent content compression
   * conditional configuration
 and configuration is straight-forward and easy.

Package: lighttpd-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: lighttpd
Description: documentation for lighttpd
 This package contains all documentation files for lighttpd.

Package: lighttpd-mod-mysql-vhost
Architecture: any
Depends: lighttpd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: MySQL-based virtual host configuration for lighttpd
 This package contains the myqsl_vhost module for lighttpd. With
 this module, it is possible to write the configuration for virtual
 hosts into a MySQL table instead of including it in the lighttpd
 configuration file.

Package: lighttpd-mod-trigger-b4-dl
Architecture: any
Depends: lighttpd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: lighttpd (<< 1.4.10-5)
Recommends: memcached
Description: anti-deep-linking module for lighttpd
 The trigger-b4-dl module for lighttpd can prevent deep linking
 from other sites by requiring users to visit a trigger URL to
 be able to download certain files.

Package: lighttpd-mod-cml
Architecture: any
Depends: lighttpd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: memcached
Description: cache meta language module for lighttpd
 With the cache meta language, it is possible to describe to the
 dependencies of a cached file to its source files/scripts. For the
 cache files, the scripting language LUA is used.
 .
 THIS MODULE IS OBSOLETED AND WILL BE REMOVED IN LIGHTTPD 2.0.
 USE mod_magnet INSTEAD.

Package: lighttpd-mod-magnet
Architecture: any
Depends: lighttpd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: control the request handling module for lighttpd
 mod_magnet can attract a request in several stages in the request-handling.
 either at the same level as mod_rewrite, before any parsing of the URL is done
 or at a later stage, when the doc-root is known and the physical-path is
 already setup

Package: lighttpd-mod-webdav
Architecture: any
Depends: lighttpd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: WebDAV module for lighttpd
 The WebDAV module is a very minimalistic implementation of RFC 2518.
 Minimalistic means that not all operations are implemented yet.
 .
 Currently supports:
  GET
  POST
  HEAD
  PROPFIND
  OPTIONS
  MKCOL
  DELETE
  PUT

## lighttpd 1.4.31

=== SConstruct ===
--- 
+++ 
@@ -5,7 +5,7 @@
 from stat import *
 
 package = 'lighttpd'
-version = '1.4.30'
+version = '1.4.31'
 
 def checkCHeaders(autoconf, hdrs):
 	p = re.compile('[^A-Z0-9]')

=== debian/changelog ===
lighttpd (1.4.31-4+deb7u4) wheezy-security; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2014-3566. (Closes: #765702)
    Disable SSLv3 by default and prevent the "POODLE" issue. Administrators are
    advised to refrain from using SSLv3 in lighttpd.conf and related
    configuration files.

 -- Markus Koschany <apo@debian.org>  Wed, 10 Feb 2016 23:06:49 +0100

lighttpd (1.4.31-4+deb7u3) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix cve-2014-2323: mod_mysql_vhost SQL injection.
  * Fix cve-2014-2324: traversal through paths involving "[...]".

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 13 Mar 2014 02:03:42 +0000

lighttpd (1.4.31-4+deb7u2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix regression introduced by fix for cve-2013-4508, related to client
    certificates and SNI. Closes: #729555, #729480

 -- Stefan Fritsch <sf@debian.org>  Thu, 14 Nov 2013 10:55:41 +0100

lighttpd (1.4.31-4+deb7u1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix cve-2013-4508: ssl cipher suites issue.
  * Fix cve-2013-4559: setuid privilege escalation issue.
  * Fix cve-2013-4560: use-after-free in fam.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 13 Nov 2013 02:42:03 +0000

lighttpd (1.4.31-4) unstable; urgency=high

  * CVE-2013-1427: Switch the socket path for PHP when using FastCGI. /tmp is
    world-writable which may cause security implications if an attacker
    manages to control /tmp/php.socket before the web server (re-)starts.
  * Switch VCS to git
  * Push standards version (no changes)

 -- Arno Töll <arno@debian.org>  Thu, 14 Mar 2013 02:20:07 +0100

lighttpd (1.4.31-3) unstable; urgency=high

  * Fix "configuration files refer to wrong path for documentation"
    by merging a patch supplied by  Denis Laxalde <denis@laxalde.org>
    (Closes: #676641)
  * CVE-2012-5533: Fix Denial Of Service attacks against Lighttpd by sending
    faulty Connection headers

 -- Arno Töll <arno@debian.org>  Wed, 21 Nov 2012 14:42:32 +0100

lighttpd (1.4.31-1) unstable; urgency=low

  * New upstream release
  * Be more careful when removing dangling symlinks, as introduced in 1.4.30-1.
    Under some configurations the postrm script could fail previously.
  * Change the use-ipv6.pl script to read the default listening port as a
    command line argument, fall back to the old default behavior otherwise
    (Closes: #632723, #642604). Thanks to Sebastian Pipping to accidentally
    give a hint how to fix this old problem by driving by.
  * Push standards version to 3.9.3.1 - no further changes
  * Fix "[lighttpd] "ldap" lowercase in extended description" by fixing the
    typo (Closes: #670206)
  * Update my maintainer address

 -- Arno Töll <arno@debian.org>  Fri, 01 Jun 2012 23:46:05 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Debian lighttpd maintainers <pkg-lighttpd-maintainers@lists.alioth.debian.org>
 Uploaders: Krzysztof Krzyżaniak (eloy) <eloy@debian.org>,
  Olaf van der Spek <olafvdspek@gmail.com>,
- Arno Töll <debian@toell.net>
+ Arno Töll <arno@debian.org>
 Homepage: http://lighttpd.net/
 Build-Depends: debhelper (>= 8), mime-support, libssl-dev,
  zlib1g-dev, libbz2-dev, libattr1-dev, libpcre3-dev, libmysqlclient-dev,
  libfam-dev, libldap2-dev, libfcgi-dev, libgdbm-dev, libmemcache-dev,
  liblua5.1-0-dev, pkg-config, uuid-dev, libsqlite3-dev,
  libxml2-dev, libkrb5-dev, perl, dpkg-dev (>= 1.16.1~)
-Vcs-Svn: svn://svn.debian.org/pkg-lighttpd/lighttpd/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-lighttpd/lighttpd/trunk/
-Standards-Version: 3.9.2.0
+Vcs-Git: git://git.debian.org/git/pkg-lighttpd/lighttpd.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-lighttpd/lighttpd.git
+Standards-Version: 3.9.4
 
 Package: lighttpd
 Architecture: any
@@ -30,7 +30,7 @@
    * CGI, FastCGI and SSI
    * virtual hosts
    * URL rewriting
-   * authentication (plain files, htpasswd, ldap)
+   * authentication (plain files, htpasswd, LDAP)
    * transparent content compression
    * conditional configuration
  and configuration is straight-forward and easy.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
                --disable-dependency-tracking \
                --libdir=/usr/lib/lighttpd \
                --libexecdir="/usr/lib/lighttpd" \
                --with-attr \
                --with-fam \
                --with-gdbm \
                --with-kerberos5 \
                --with-ldap \
                --with-lua=lua5.1 \
                --with-memcache \
                --with-mysql \
                --with-openssl \
                --with-pcre \
                --with-webdav-locks \
                --with-webdav-props \
		$(shell dpkg-buildflags --export=configure)

override_dh_fixperms:
	dh_fixperms
	chmod 0750 debian/lighttpd/var/log/lighttpd
	chown www-data:www-data debian/lighttpd/var/cache/lighttpd/compress debian/lighttpd/var/cache/lighttpd/uploads
	chown www-data:www-data debian/lighttpd/var/log/lighttpd

override_dh_installinit:
	dh_installinit --error-handler=start_failed

## lighttpd 1.4.33

=== SConstruct ===
--- 
+++ 
@@ -5,7 +5,7 @@
 from stat import *
 
 package = 'lighttpd'
-version = '1.4.31'
+version = '1.4.33'
 
 def checkCHeaders(autoconf, hdrs):
 	p = re.compile('[^A-Z0-9]')

=== debian/changelog ===
lighttpd (1.4.33-1+nmu2ubuntu2.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Fix vulnerabilities in mod_sql and HTTPoxy.
    - debian/patches/CVE-2014-2323-CVE-2014-2324.patch: Fix SQL injection
      vulnerability in mod_mysql_vhost.c.
    - debian/patches/CVE-2016-1000212.patch: Mitigation for HTTPoxy
      vulnerability.
    - CVE-2014-2323
    - CVE-2014-2324
    - CVE-2016-1000212

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Fri, 25 Jan 2019 10:08:11 -0200

lighttpd (1.4.33-1+nmu2ubuntu2) trusty; urgency=medium

  * Use dh-autoreconf to regenerate autotools files, fixes FTBFS with 
    automake 1.14.1 (Closes: #726934)
  * Add lighttpd.pc to ac_config_files to fix FTBFS:
    make[3]: *** No rule to make target `lighttpd.pc', needed by `all-am'.

 -- Andreas Moog <andreas.moog@warperbbs.de>  Tue, 28 Jan 2014 18:08:02 +0100

lighttpd (1.4.33-1+nmu2ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/index.html: corrected BTS Ubuntu link for lighttpd.
    - debian/index.html: s/Debian/Ubuntu/g branding on the default page.
    - debian/lighttpd.conf: Comment 'use-ipv6.pl' by default, which causes
      failure to bind port in ipv4.
    - Add lighttpd-dev package:
      + debian/control: Added lighttpd-dev package; Build-depends on
        automake (>=1.14), libtool.
      + debian/lighttpd-dev.install: Added.
    - debian/control: libgamin-dev rather than libfam-dev to fix startup warning.
    - debian/rules: Add override_dh_installinit to set "defaults 91 09" to not
      start before apache2 but in the same runlevel with the same priority.
    - Added a UFW profile set:
      + debian/lighttpd.dirs: added etc/ufw/applications.d
      + debian/rules: install the ufw profile.
      + debian/control: Suggests on ufw.

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Wed, 18 Dec 2013 14:30:01 +0700

lighttpd (1.4.33-1+nmu2) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix regression caused by the fix for cve-2013-4508 (closes: #729480).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 16 Nov 2013 22:29:07 +0000

lighttpd (1.4.33-1+nmu1) unstable; urgency=high

  * Non-maintainer upload by the Security Team (closes: #729453).
  * Fix cve-2013-4508: ssl cipher suites issue.
  * Fix cve-2013-4559: setuid privilege escalation issue.
  * Fix cve-2013-4560: use-after-free in fam.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 13 Nov 2013 02:19:47 +0000

lighttpd (1.4.33-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable (LP: #1246886).  Remaining changes:
    - debian/index.html: corrected BTS Ubuntu link for lighttpd.
    - debian/index.html: s/Debian/Ubuntu/g branding on the default page.
    - debian/lighttpd.conf: Comment 'use-ipv6.pl' by default, which causes
      failure to bind port in ipv4.
    - Add lighttpd-dev package:
      + debian/control: Added lighttpd-dev package; Build-depends on
        automake (>=1.14), libtool.
      + debian/lighttpd-dev.install: Added.
    - debian/control: libgamin-dev rather than libfam-dev to fix startup warning.
    - debian/rules: Add override_dh_installinit to set "defaults 91 09" to not
      start before apache2 but in the same runlevel with the same priority.
    - Added a UFW profile set:
      + debian/lighttpd.dirs: added etc/ufw/applications.d
      + debian/rules: install the ufw profile.
      + debian/control: Suggests on ufw.
    - debian/patches/build-dev-package.patch: Updated to reflect 1.4.33 changes.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Wed, 30 Oct 2013 15:52:50 +0100

lighttpd (1.4.33-1) unstable; urgency=low

  * Drop the connection-dos.patch - merged upstream.
  * Fix "mod_extforward missing configuration file": ship requested
    configuration file (Closes: #697304)
  * Remove access.conf, an obsolete conffiles as we should have done since
    2010 (Closes: #703215)
  * Push debhelper's compat mode to 9, the use of maintscript helper requires
    8.1 so we had to push the debhelper b-d anyway.
  * Fix "config.guess/config.sub out of date for arm64" by adding the patch
    provided by Colin Watson. Thanks (Closes: #726394).
  * Fix "[PATCH] use dh-systemd for proper systemd-related maintscripts" to
    add systemd support. Thanks to Michael Stapelberg (Closes: #713859)

 -- Arno Töll <arno@debian.org>  Tue, 15 Oct 2013 21:24:49 +0200

lighttpd (1.4.31-3ubuntu3) saucy; urgency=low

  * Use the autotools-dev dh addon to update config.guess/config.sub for
    arm64.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Oct 2013 11:01:00 +0100

lighttpd (1.4.31-3ubuntu2) raring; urgency=low

  * Import change from debian version 1.4.31-4:
    - CVE-2013-1427: Switch the socket path for PHP when using FASTCGI. /tmp 
      is world-writable which may cause security implications if an attacker
      manages to control /tmp/php.socket before the web server (re-)starts.

 -- Lorenzo De Liso <blackz@ubuntu.com>  Mon, 25 Mar 2013 11:55:53 +0100

lighttpd (1.4.31-3ubuntu1) raring; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control: libgamin-dev rather than libfam-dev to fix startup warning.
    - debian/index.html: s/Debian/Ubuntu/g branding on the default page.
    - Added a UFW profile set:
      + debian/lighttpd.dirs: added etc/ufw/applications.d
      + debian/rules: install the ufw profile.
      + debian/control: Suggests on ufw.
    - Add lighttpd-dev package:
      + debian/control: Added lighttpd-dev package; Build-depends on
        automake, libtool
      + debian/lighttpd-dev.install: Added.
    - debian/rules: Add override_dh_installinit to set "defaults 91 09" to not
      start before apache2 but in the same runlevel with the same priority.
    - debian/patches/build-dev-package.patch: Updated
    - debian/lighttpd.conf: Comment 'use-ipv6.pl' by default, which causes
      failure to bind port in ipv4
  * debian/index.html: corrected BTS Ubuntu link for lighttpd



=== debian/control ===
--- 
+++ 
@@ -1,27 +1,32 @@
 Source: lighttpd
 Section: httpd
 Priority: optional
-Maintainer: Debian lighttpd maintainers <pkg-lighttpd-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian lighttpd maintainers <pkg-lighttpd-maintainers@lists.alioth.debian.org>
 Uploaders: Krzysztof Krzyżaniak (eloy) <eloy@debian.org>,
  Olaf van der Spek <olafvdspek@gmail.com>,
  Arno Töll <arno@debian.org>
 Homepage: http://lighttpd.net/
-Build-Depends: debhelper (>= 8), mime-support, libssl-dev,
+Build-Depends: debhelper (>= 9), mime-support, libssl-dev,
  zlib1g-dev, libbz2-dev, libattr1-dev, libpcre3-dev, libmysqlclient-dev,
- libfam-dev, libldap2-dev, libfcgi-dev, libgdbm-dev, libmemcache-dev,
+ libgamin-dev, libldap2-dev, libfcgi-dev, libgdbm-dev, libmemcache-dev,
  liblua5.1-0-dev, pkg-config, uuid-dev, libsqlite3-dev,
- libxml2-dev, libkrb5-dev, perl, dpkg-dev (>= 1.16.1~)
+ libxml2-dev, libkrb5-dev, perl, dpkg-dev (>= 1.16.1~), autotools-dev,
+ dh-systemd (>= 1.3), automake (>= 1.14), libtool, dh-autoreconf
 Vcs-Git: git://git.debian.org/git/pkg-lighttpd/lighttpd.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-lighttpd/lighttpd.git
 Standards-Version: 3.9.4
 
 Package: lighttpd
 Architecture: any
+# Omitting this triggers a Lintian error
+# That's a false positive these days
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
  lsb-base (>= 3.2-14) | systemd (>= 29.1), mime-support,
  libterm-readline-perl-perl
 Provides: httpd, httpd-cgi
-Suggests: openssl, rrdtool, apache2-utils
+Suggests: openssl, rrdtool, apache2-utils, ufw
 Recommends: spawn-fcgi
 Description: fast webserver with minimal memory footprint
  lighttpd is a small webserver and fast webserver developed with
@@ -33,6 +38,7 @@
    * authentication (plain files, htpasswd, LDAP)
    * transparent content compression
    * conditional configuration
+   * HTTP proxying
  and configuration is straight-forward and easy.
 
 Package: lighttpd-doc
@@ -99,3 +105,10 @@
   MKCOL
   DELETE
   PUT
+
+Package: lighttpd-dev
+Architecture: any
+Suggests: lighttpd
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Development files for lighttpd
+ This package contains the development header-files for lighttpd.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,10 @@
 #!/usr/bin/make -f
 
+# uncomment to enable verbose mode
+#export DH_VERBOSE=1
+
 %:
-	dh $@
+	dh $@ --with autoreconf,systemd
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -22,6 +25,10 @@
                 --with-webdav-props \
 		$(shell dpkg-buildflags --export=configure)
 
+override_dh_install:
+	dh_install
+	install -m644 debian/lighttpd.ufw.profile debian/lighttpd/etc/ufw/applications.d/lighttpd
+
 override_dh_fixperms:
 	dh_fixperms
 	chmod 0750 debian/lighttpd/var/log/lighttpd
@@ -29,4 +36,4 @@
 	chown www-data:www-data debian/lighttpd/var/log/lighttpd
 
 override_dh_installinit:
-	dh_installinit --error-handler=start_failed
+	dh_installinit --error-handler=true -- defaults 91 09

## lighttpd 1.4.33-1+nmu2ubuntu2.1+7.0trisquel1

=== debian/changelog ===
lighttpd (1.4.33-1+nmu2ubuntu2.1+7.0trisquel1) belenos-security; urgency=medium

  * Fix Ubuntu references in the default index.html

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 01 Feb 2019 11:22:45 +0000

## lighttpd 1.4.35

=== SConstruct ===
--- 
+++ 
@@ -5,7 +5,7 @@
 from stat import *
 
 package = 'lighttpd'
-version = '1.4.33'
+version = '1.4.35'
 
 def checkCHeaders(autoconf, hdrs):
 	p = re.compile('[^A-Z0-9]')

=== debian/changelog ===
lighttpd (1.4.35-4ubuntu2) xenial; urgency=medium

  * Rebuild for libmysqlclient20.
  * Add build dependency on libcgi-pm-perl to fix FTBFS. Taken from
    Debian with thanks to gregor herrmann.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 18 Apr 2016 15:26:03 +0000

lighttpd (1.4.35-4ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/add-lighttpd.pc-configure.patch:
      + Add lighttpd.pc to ac_config_files to fix FTBFS: make[3]:
        *** No rule to make target `lighttpd.pc', needed by `all-am'.
    - debian/patches/build-dev-package.patch,
      debian/control, debian/lighttpd-dev.install:
      + Add lighttpd-dev package.
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.conf:
      + Comment 'use-ipv6.pl' by default, which causes failure
        to bind port in ipv4.
    - debian/control:
      + Build-Depends on libgamin-dev rather than libfam-dev
        to fix startup warning.
    - debian/rules:
      + Add override_dh_installinit to set "defaults 91 09" to not
        start before apache2 but in the same runlevel with
        the same priority.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.

 -- Artur Rona <ari-tczew@ubuntu.com>  Mon, 26 Jan 2015 02:36:43 +0100

lighttpd (1.4.35-4) unstable; urgency=medium

  * Disable SSLv3 by default (closes: #765702).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 02 Nov 2014 02:49:09 +0000

lighttpd (1.4.35-3) unstable; urgency=medium

  * Support building with dpkg-buildpackage -g.
  * Drop libmemcache-dev build-dependency (closes: #748809).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 18 Aug 2014 03:42:29 +0000

lighttpd (1.4.35-2) unstable; urgency=medium

  * Fix a spelling error.
  * Add a lintian override.
  * Make VCS field canonical.
  * Add myself to the uploaders.
  * Use dh-autoreconf (closes: #726394, #731104).
  * Disable indeterminant test on kfreebsd (closes: #731074).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 05 Apr 2014 18:12:03 +0000

lighttpd (1.4.35-1) unstable; urgency=low

  * New upstream version (fixes CVE-2014-2323, CVE-2014-2324)
    + Delete patches: cve-2013-4508.patch, cve-2013-4559.patch,
      cve-2013-4560.patch. Those are all cumulative included since
      lighttpd 1.4.34
  * Acknowledge NMUs by the security team
  * Make the init script wait until lighttpd really terminates.
  * Change the default document root /var/www/html (Closes: #730379), add a
    Lintian override for it
  * Bump the debhelper dependency to >= 9.20130624 to ensure dh_installinit is
    recent enough for systemd (Closes: #713860)
  * Reorder LSB init dependencies, add $local_fs to it
  * Add hardening flags to lighttpd. Thanks to Michael Gilbert
    for providing a patch (Closes: #741497)
  * Remove W3C logo from index.html to avoid inclusion of images hosted
    elsewhere
  * Push standards version to 3.9.5 (no changes needed).

 -- Arno Töll <arno@debian.org>  Sat, 22 Mar 2014 03:06:59 -1100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,36 @@
 XSBC-Original-Maintainer: Debian lighttpd maintainers <pkg-lighttpd-maintainers@lists.alioth.debian.org>
 Uploaders: Krzysztof Krzyżaniak (eloy) <eloy@debian.org>,
  Olaf van der Spek <olafvdspek@gmail.com>,
- Arno Töll <arno@debian.org>
+ Arno Töll <arno@debian.org>,
+ Michael Gilbert <mgilbert@debian.org>
 Homepage: http://lighttpd.net/
-Build-Depends: debhelper (>= 9), mime-support, libssl-dev,
- zlib1g-dev, libbz2-dev, libattr1-dev, libpcre3-dev, libmysqlclient-dev,
- libgamin-dev, libldap2-dev, libfcgi-dev, libgdbm-dev, libmemcache-dev,
- liblua5.1-0-dev, pkg-config, uuid-dev, libsqlite3-dev,
- libxml2-dev, libkrb5-dev, perl, dpkg-dev (>= 1.16.1~), autotools-dev,
- dh-systemd (>= 1.3), automake (>= 1.14), libtool, dh-autoreconf
-Vcs-Git: git://git.debian.org/git/pkg-lighttpd/lighttpd.git
+Build-Depends:
+ dpkg-dev (>= 1.16.1~),
+ debhelper (>= 9.20130624~),
+ dh-systemd (>= 1.3),
+ dh-autoreconf,
+ mime-support,
+ libssl-dev,
+ zlib1g-dev,
+ libbz2-dev,
+ libattr1-dev,
+ libpcre3-dev,
+ libmysqlclient-dev,
+ libgamin-dev,
+ libldap2-dev,
+ libfcgi-dev,
+ libgdbm-dev,
+ liblua5.1-0-dev,
+ pkg-config,
+ uuid-dev,
+ libsqlite3-dev,
+ libxml2-dev,
+ libkrb5-dev,
+ perl,
+ libcgi-pm-perl,
+Vcs-Git: git://anonscm.debian.org/pkg-lighttpd/lighttpd.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-lighttpd/lighttpd.git
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: lighttpd
 Architecture: any
@@ -47,7 +66,10 @@
 Depends: ${misc:Depends}
 Suggests: lighttpd
 Description: documentation for lighttpd
- This package contains all documentation files for lighttpd.
+ lighttpd is a small webserver and fast webserver developed with
+ security in mind and a lot of features.
+ .
+ This package contains documentation for lighttpd.
 
 Package: lighttpd-mod-mysql-vhost
 Architecture: any

=== debian/watch ===
version=3
http://download.lighttpd.net/lighttpd/releases-1.4.x/ lighttpd-(.*)\.tar\.gz

## lighttpd 1.4.35-4ubuntu2.1+8.0trisquel1

=== debian/changelog ===
lighttpd (1.4.35-4ubuntu2.1+8.0trisquel1) flidas-security; urgency=medium

  * Fix Ubuntu references in the default index.html

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 01 Feb 2019 11:26:31 +0000

lighttpd (1.4.35-4ubuntu2.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Fix vulnerability in HTTPoxy.
    - debian/patches/CVE-2016-1000212.patch: Mitigation for HTTPoxy
      vulnerability.
    - CVE-2016-1000212

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Thu, 31 Jan 2019 14:20:05 -0200

## lighttpd 1.4.39

=== debian/changelog ===
lighttpd (1.4.39-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/add-lighttpd.pc-configure.patch:
      + Add lighttpd.pc to ac_config_files to fix FTBFS: make[3]:
        *** No rule to make target `lighttpd.pc', needed by `all-am'.
    - debian/patches/build-dev-package.patch,
      debian/control, debian/lighttpd-dev.install:
      + Add lighttpd-dev package.
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.conf:
      + Comment 'use-ipv6.pl' by default, which causes failure
        to bind port in ipv4.
    - debian/control:
      + Build-Depends on libgamin-dev rather than libfam-dev
        to fix startup warning.
    - debian/rules:
      + Add override_dh_installinit to set "defaults 91 09" to not
        start before apache2 but in the same runlevel with
        the same priority.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 24 Jul 2016 16:35:50 +0200

lighttpd (1.4.39-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 03 Jan 2016 03:59:55 +0000

lighttpd (1.4.37-1) unstable; urgency=medium

  * New upstream release.
    - Log file injection issue CVE-2015-3200 fixed (closes: #787132).
  * Add a debian/clean file.
  * Drop upstreamed patches.
  * Add upstream signing key.
  * Update standards version.
  * Apply the non-maintainer upload.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 06 Sep 2015 05:37:20 +0000

lighttpd (1.4.35-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with perl 5.22: test failures (CGI.pm)":
    Add build dependency on libcgi-pm-perl.
    CGI.pm was deprecated in Perl 5.19.x and removed in 5.21.x which makes the
    explicit build dependency necessary.
    (Closes: #789856)

 -- gregor herrmann <gregoa@debian.org>  Thu, 27 Aug 2015 18:29:21 +0200

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
  libcgi-pm-perl,
 Vcs-Git: git://anonscm.debian.org/pkg-lighttpd/lighttpd.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-lighttpd/lighttpd.git
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: lighttpd
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,10 @@
 #!/usr/bin/make -f
 
-# uncomment to enable verbose mode
-#export DH_VERBOSE=1
+# enable verbose mode
+export DH_VERBOSE=1
+
+# enable all hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@ --with autoreconf,systemd
@@ -31,9 +34,12 @@
 
 override_dh_fixperms:
 	dh_fixperms
-	chmod 0750 debian/lighttpd/var/log/lighttpd
-	chown www-data:www-data debian/lighttpd/var/cache/lighttpd/compress debian/lighttpd/var/cache/lighttpd/uploads
-	chown www-data:www-data debian/lighttpd/var/log/lighttpd
+	test -d debian/lighttpd && \
+	    chmod 0750 debian/lighttpd/var/log/lighttpd && \
+	    chown www-data:www-data \
+	        debian/lighttpd/var/cache/lighttpd/compress \
+	        debian/lighttpd/var/cache/lighttpd/uploads \
+	        debian/lighttpd/var/log/lighttpd || true
 
 override_dh_installinit:
 	dh_installinit --error-handler=true -- defaults 91 09

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
http://download.lighttpd.net/lighttpd/releases-1.4.x/ lighttpd-(.*)\.tar\.gz
